#!/bin/bash

ip=$1   #IP de machine cible passé en paramètre
user=root
workdir=/root/deploy_test   #répertoire déploiement

ssh root@$ip "mkdir $workdir" 2> /dev/null #création du répertoire de copie

#copie des scripts et fichiers
scp createGroups.sh $user@$ip:$workdir
scp createUsers.sh $user@$ip:$workdir
scp logins.csv $user@$ip:$workdir
scp Users.csv $user@$ip:$workdir


#execution des scripts
ssh $user@$ip "cd $workdir ; bash createGroups.sh ; bash createUsers.sh"

ssh $user@$ip "rm -R $workdir" #supression des répertoire et scripts
